<?php
/**
*	Mambo Site Server Open Source Edition Version 4.0.11
*	Dynamic portal server and Content managment engine
*	27-11-2002
*
*	Copyright (C) 2000 - 2002 Miro Contruct Pty Ltd
*	Distributed under the terms of the GNU General Public License
*	This software may be used without warrany provided these statements are left
*	intact and a "Powered By Mambo" appears at the bottom of each HTML page.
*	This code is Available at http://sourceforge.net/projects/mambo
*
*	Site Name: Mambo Site Server Open Source Edition Version 4.0.11
*	File Name: articles.php
*	Developers: Danny Younes - danny@miro.com.au
*				Nicole Anderson - nicole@miro.com.au
*	Date: 27-11-2002
* 	Version #: 4.0.11
*	Comments: The function listing retrieves all article categories and titles from the database.
**/

require("classes/html/articles.php");
$articles = new articles();

include_once ("includes/accesscheck.php");
$gid = checkaccess($HTTP_COOKIE_VARS["usercookie"], $db, $dbprefix);
include_once ("includes/getids.php");

switch($task) {
	case "viewarticle":
	show($articles, $database, $dbprefix, $artid, $gid, $db);
	break;
	default:
	listsections($articles, $database, $dbprefix, $topid, $gid, $shownoauth, $popup);
	break;
}


function listsections($articles, $database, $dbprefix, $topid, $gid, $shownoauth, $popup){
	/* Query to retrieve all categories that belong under the articles section and that are published. */
	
	$query = "SELECT categoryid, categoryname from ".$dbprefix."categories where section='Articles' and published=1 AND access<='$gid' ORDER BY categoryname";
	$result = $database->openConnectionWithReturn($query);
	$numresult = mysql_num_rows($result);
	$j = 0;
	while ($row = mysql_fetch_object($result)){
		$topictext[$j] = $row->categoryname;
		$topicid[$j] = $row->categoryid;
		/* Query to retrieve all article titles that belong to the category chosen by the user. */
		$query1 = "SELECT artid, title, date, counter, author FROM ".$dbprefix."articles WHERE secid=$row->categoryid AND approved=1 and published=1 and archived=0 ORDER BY ordering";
		$result1 = $database->openConnectionWithReturn($query1);
		$num[$j] = mysql_num_rows($result1);
		if ($topid <> ""){
			$i = 0;
			if (mysql_num_rows($result1)<> 0){
				while ($row1 = mysql_fetch_object($result1)){
					$title[$row->categoryname][$i] = $row1->title;
					$sid[$row->categoryname][$i] = $row1->artid;
					$date[$row->categoryname][$i] = $row1->date;
					$counter[$row->categoryname][$i] = $row1->counter;
					$author[$row->categoryname][$i] = $row1->author;
					$i++;
				} /* while */
			} /* if */
		} /* if */
		$j++;
	} /* while */
	
	if ($shownoauth){
		$query = "SELECT categoryid, categoryname from ".$dbprefix."categories where section='Articles' and published=1 AND access>'$gid' ORDER BY categoryname";
		$result = $database->openConnectionWithReturn($query);
		$numresult = mysql_num_rows($result);
		$j = 0;
		while ($row = mysql_fetch_object($result)){
			$noauth_topictext[$j] = $row->categoryname;
			$j++;
		}
	}
	
	$articles->listarticles($topictext, $topicid, $num, $title, $sid, $topid, $date, $counter, $author, $noauth_topictext, $popup);
}

function show ($articles, $database, $dbprefix, $artid, $gid, $db) {
	
	$topquery=getcatids("secid","articles", $gid, $db, $dbprefix);
	if ($topquery==''){
		echo"This resource is not valid or you are not authorized to access it.<br>";
		exit;
	}
	$query = "SELECT title, content, author FROM ".$dbprefix."articles WHERE artid=$artid $topquery";
	$result = $database->openConnectionWithReturn($query);
	while ($row = mysql_fetch_object($result)){
		$title = $row->title;
		$content = $row->content;
		$author = $row->author;
	}
	$query = "UPDATE ".$dbprefix."articles SET counter=counter+1 WHERE artid=$artid";
	$database->openConnectionNoReturn($query);
	$articles->showarticles($title, $author, $content, $artid);
}

?>
